 <?php  
 declare(ticks=5); // toutes les 5 commandes de bas niveau 
 // Cette fonction est exécutée à chaque évènement "tickable"
 function fonction_tick()  
 {  
  global $variable;
  echo "fonction_tick() appelée : variable=$variable".PHP_EOL;  
 } 
 register_tick_function('fonction_tick');  
 $variable = 10; 
 if ($variable > 0)  
 {  
  $variable *= 2;  
 }  
 ?>  